package org.example.dfsort;

public class SortRecord
{
	String name;
	int users;
	int population;
	int rank;
	double percentage;
	int percentageRank;
	
	public SortRecord(String record)
	{
		String[] fields = record.split(",");
		name = fields[0];
		users = Integer.parseInt(fields[1]);
		population = Integer.parseInt(fields[2]);
		rank = Integer.parseInt(fields[3]);
		percentage = Double.parseDouble(fields[4]);
		percentageRank = Integer.parseInt(fields[5]);
	}
	
	public String buildOutputRecord()
	{
		String output = String.format("%35s: %12d %12d %3d %5.2f%% %3d", 
				name, users, population, rank, percentage, percentageRank);
		return output;
	}
}
